Jump to content
ElementaryOS France
  • 0
Sign in to follow this  
germain

Dépendences Gnome Runtime, Flatpaks et elementary OS

Question

Bonjour tout le monde !

Je préviens, ma question provient d'une prudence extrême (et donc sûrement d'une peur non-fondée) mais je préfère être sûr avant de faire des conneries.

J'ai installé elementary OS très récemment et j'ai envie d'avoir le système le plus stable possible. Pour l'instant il me satisfait à ce niveau (en plus du bling bling visuel qui est, j'avoue, un requis pour moi pour les OS de mes ordinateurs). MAIS. Mais j'ai des petits manques au niveau des logiciels. Ce qui est disponible dans le Centre d'Applications ne remplit pas mes besoins et j'ai par exemple envie d'installer Lollypop, dispo en flatpak.

Grosso modo, je sais qu'elementary utilise Gnome mais c'est pas vraiment Gnome, et je vois à mes tentatives d'installations d'applis qui utilisent Gnome qu'il me faut installer le runtime (si je dis trop de conneries, corrigez-moi). Bon ok pourquoi pas mais ce qui me fait douter et flipper c'est cette demande de confirmation qui me parle de modification de la config par défaut du système.

MA QUESTION : j'y vais quand même et niveau stabilité/cohérence du système ça risque rien ? Ou pas ?

 

Merci :)

Capture d’écran de 2019-10-23 16-05-57.png

Share this post


Link to post
Share on other sites

3 answers to this question

Recommended Posts

  • 0

Salut Germain,

je ne sais pas, à vrai dire, moi aussi j'hésiterais un peu là,...

il y a 40 minutes, germain a dit :

je sais qu'elementary utilise Gnome mais c'est pas vraiment Gnome, et je vois à mes tentatives d'installations d'applis qui utilisent Gnome qu'il me faut installer le runtime (si je dis trop de conneries, corrigez-moi)

En fait elementary n'utilise pas Gnome, il est basé sur Granite pour le graphisme qui est basé sur Gtk3 comme Gnome, c'est pour ça que les applis gnomes sont souvent bien compatibles avec elementary  et c'est vrai qu'on a en général peu de dépendances à rajouter. Mais là, dans ton cas, ça me parait un peu  plus que des dépendances.

 

Share this post


Link to post
Share on other sites
  • 0

Merci pour vos réponses, c'est cool :)

C'est que du temps où j'utilisais Zorin j'avais eu des petits soucis avec Lollypop (heu, lesquels par contre je ne me souviens plus) et le dev m'avait conseillé d'utiliser la version distribuée en flatpak plutôt qu'autre chose. D'où mon réflexe de préférer le flatpak. Mais on va tester avec le dépôt ppa, si ça roule avec moins de soucis que sous Zorin, pourquoi se priver effectivement.

Merci encore !

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×
×
  • Create New...